/*
 * Class SED_RECOVERABLE_SERIALIZER
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_111 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_111 [] = {0xFF01,237,110,0xFFFF};
static const EIF_TYPE_INDEX egt_2_111 [] = {0xFF01,110,0xFFFF};
static const EIF_TYPE_INDEX egt_3_111 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_111 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_111 [] = {0xFF01,110,0xFFFF};
static const EIF_TYPE_INDEX egt_6_111 [] = {0xFF01,110,0xFFFF};
static const EIF_TYPE_INDEX egt_7_111 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_111 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_111 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_111 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_111 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_111 [] = {0xFF01,110,0xFFFF};
static const EIF_TYPE_INDEX egt_13_111 [] = {0xFF01,310,206,206,0xFFFF};
static const EIF_TYPE_INDEX egt_14_111 [] = {0xFF01,38,0xFFFF};
static const EIF_TYPE_INDEX egt_15_111 [] = {0xFF01,132,0xFFFF};
static const EIF_TYPE_INDEX egt_16_111 [] = {0xFF01,137,0xFFFF};
static const EIF_TYPE_INDEX egt_17_111 [] = {0xFF01,47,0xFFFF};
static const EIF_TYPE_INDEX egt_18_111 [] = {0xFF01,171,0xFFFF};
static const EIF_TYPE_INDEX egt_19_111 [] = {0xFF01,49,0xFFFF};
static const EIF_TYPE_INDEX egt_20_111 [] = {0xFF01,48,0xFFFF};
static const EIF_TYPE_INDEX egt_21_111 [] = {0xFF01,310,206,206,0xFFFF};


static const struct desc_info desc_111[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_111), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_111), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_111), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_111), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_111), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_111), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_111), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_111), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_111), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_111), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_111), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_111), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0xDD /*110*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_111), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1460, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x018B /*197*/), 1461, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x018B /*197*/), 1462, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1463, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_111), 1464, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1484, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01 /*0*/), 1485, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_111), 1486, 0},
	{EIF_NON_GENERIC(0x017F /*191*/), 1487, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1488, 20},
	{EIF_GENERIC(NULL), 1489, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1490, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1491, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1492, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1493, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_111), 1494, 4},
	{EIF_GENERIC(egt_16_111), 1495, 8},
	{EIF_GENERIC(egt_17_111), 1496, 12},
	{EIF_GENERIC(egt_18_111), 1497, 16},
	{EIF_GENERIC(egt_19_111), 1498, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_111), 1499, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0191 /*200*/), 1500, 24},
	{EIF_GENERIC(NULL), 1501, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1502, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1503, 21},
	{EIF_GENERIC(NULL), 1510, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1505, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1506, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1507, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1508, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1465, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1466, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1467, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1468, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1469, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1470, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1471, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1472, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1473, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1474, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1475, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1476, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1477, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1478, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1479, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1480, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1481, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1482, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_111), 1511, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1512, 0xFFFFFFFF},
};
void Init111(void)
{
	IDSC(desc_111, 0, 110);
	IDSC(desc_111 + 1, 1, 110);
	IDSC(desc_111 + 32, 201, 110);
	IDSC(desc_111 + 37, 341, 110);
	IDSC(desc_111 + 80, 272, 110);
}


#ifdef __cplusplus
}
#endif
